Package org.eclipse.emf.cdo.spi.common.branch

## Class InternalCDOBranchManager.BranchLoader.SubBranchInfo

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader.SubBranchInfo

- Enclosing interface:
    InternalCDOBranchManager.BranchLoader

      public static final class InternalCDOBranchManager.BranchLoader.SubBranchInfo
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubBranchInfo​(int id, java.lang.String name, long baseTimeStamp)` |
    `SubBranchInfo​(CDODataInput in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBaseTimeStamp()` |
    `int` | `getID()` |
    `java.lang.String` | `getName()` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubBranchInfo

          public SubBranchInfo​(int id,
                               java.lang.String name,
                               long baseTimeStamp)

    - #### SubBranchInfo

          public SubBranchInfo​(CDODataInput in)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getID

          public int getID()

    - #### getName

          public java.lang.String getName()

    - #### getBaseTimeStamp

          public long getBaseTimeStamp()